Package fr.gouv.vitam.worker.core.plugin.lfc_traceability

# Class PrepareObjectGroupLfcTraceabilityActionPlugin

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.plugin.lfc_traceability.PrepareLfcTraceabilityActionPlugin
fr.gouv.vitam.worker.core.plugin.lfc_traceability.PrepareObjectGroupLfcTraceabilityActionPlugin

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

public class PrepareObjectGroupLfcTraceabilityActionPlugin extends PrepareLfcTraceabilityActionPlugin
PrepareObjectGroupLfcTraceabilityActionPlugin.

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.worker.core.plugin.lfc_traceability.PrepareLfcTraceabilityActionPlugin

  `JSON_NODE_TYPE_REFERENCE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrepareObjectGroupLfcTraceabilityActionPlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `actionName()`
  `ItemStatus`
  `execute(WorkerParameters params, HandlerIO handler)`
  Execute an action
  `protected InputStream`
  `exportRawLifecyclesByLastPersistedDate(LogbookLifeCyclesClientFactory logbookLifeCyclesClientFactory, LocalDateTime startDate, LocalDateTime endDate, int maxEntries)`
  `static String`
  `getId()`
  `protected Map<String,com.fasterxml.jackson.databind.JsonNode>`
  `getRawMetadata(Set<String> ids, MetaDataClientFactory metaDataClientFactory)`
  `protected String`
  `stepName()`

  ### Methods inherited from class fr.gouv.vitam.worker.core.plugin.lfc_traceability.PrepareLfcTraceabilityActionPlugin

  `checkMandatoryIOParameter, selectAndExportLifecyclesWithMetadata`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryParameters, close, executeList, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PrepareObjectGroupLfcTraceabilityActionPlugin

    public PrepareObjectGroupLfcTraceabilityActionPlugin()

- ## Method Details

  - ### execute

    public ItemStatus execute(WorkerParameters params, HandlerIO handler) throws ProcessingException
    Description copied from class: `ActionHandler`
    Execute an action
    Overrides:
      `execute` in class `ActionHandler`
    Parameters:
      `params` - `WorkerParameters`
      `handler` - the handlerIo
    Returns:
      CompositeItemStatus:response contains a list of functional message and status code
    Throws:
      `ProcessingException` - if an error is encountered when executing the action

  - ### exportRawLifecyclesByLastPersistedDate

    protected InputStream exportRawLifecyclesByLastPersistedDate(LogbookLifeCyclesClientFactory logbookLifeCyclesClientFactory, LocalDateTime startDate, LocalDateTime endDate, int maxEntries) throws LogbookClientException, InvalidParseOperationException, IOException
    Specified by:
      `exportRawLifecyclesByLastPersistedDate` in class `PrepareLfcTraceabilityActionPlugin`
    Throws:
      `LogbookClientException`
      `InvalidParseOperationException`
      `IOException`

  - ### getRawMetadata

    protected Map<String,com.fasterxml.jackson.databind.JsonNode> getRawMetadata(Set<String> ids, MetaDataClientFactory metaDataClientFactory) throws ProcessingException
    Specified by:
      `getRawMetadata` in class `PrepareLfcTraceabilityActionPlugin`
    Throws:
      `ProcessingException`

  - ### stepName

    protected String stepName()
    Specified by:
      `stepName` in class `PrepareLfcTraceabilityActionPlugin`

  - ### actionName

    protected String actionName()
    Specified by:
      `actionName` in class `PrepareLfcTraceabilityActionPlugin`

  - ### getId

    public static String getId()